# ModifyOrder

PATH: /aurora.core.apiengine.omsv1.OmsService/ModifyOrder

Endpoint: POST /aurora.core.apiengine.omsv1.OmsService/ModifyOrder
Version: v1.23.0
Security: Bearer

## Request fields (application/json):

  - `active` (boolean)
    If true the order goes to matching venue

  - `agreements_filter` (object)
    Fields: ids, counterparty_ids, collateral_types, settlement_types, booking_accounts, counterparty_booking_accounts, trade_types, collateral_currencies, delivery_types

  - `agreements_filter.booking_accounts` (array)

  - `agreements_filter.collateral_currencies` (array)
    Enum: "USD", "CAD", "GBP", "EUR", "JPY"

  - `agreements_filter.collateral_types` (array)
    Enum: "COLLATERAL_TYPE_UNSPECIFIED", "CASH", "NON_CASH_UST", "NON_CASH_EQ", "NON_CASH_JGB"

  - `agreements_filter.counterparty_booking_accounts` (array)

  - `agreements_filter.counterparty_ids` (array)

  - `agreements_filter.delivery_types` (array)
    Enum: "DELIVERY_TYPE_UNSPECIFIED", "DVP", "FOP"

  - `agreements_filter.ids` (array)

  - `agreements_filter.settlement_types` (array)
    Enum: "NSCC", "BILATERAL"

  - `agreements_filter.trade_types` (array)

  - `current_version_reference` (string)
    Used for version control, the user can provide the last known version_reference to ensure any modifications are applied to the intended version.

  - `external_id` (string)
    Customer internal id that will be reflected on the order and can be used to query the order

  - `good_till_time` (string)
    Specific expiry time - only used (and required) with tif=GTT - time in RFC3339 with millisecond precision

  - `id` (string, required)
    The Provable Markets assigned order identifier for the order to be modified

  - `min_quantity` (string)
    The updated minimum quantity that you want set on the order.

  - `new_version_reference` (string)
    A new identifier to be assigned to the order.
When provided needs to be a unique value within the past 12 hours,
if the same value is observed then the request will be rejected.

  - `quantity` (string)
    The updated quantity you want on the order.
Note: This will replace the current quantity and is not a delta.

  - `rate_limit` (object)
    Fields: type, value

  - `rate_limit.type` (string, required)
    Enum: "REBATE", "FEE"

  - `rate_limit.value` (string, required)

  - `time_in_force` (string)
    Enum: "DAY", "GOOD_TILL_CANCEL", "IMMEDIATE_OR_CANCEL", "FILL_OR_KILL", "GOOD_TILL_TIME"

## Response 200 fields (application/json):

  - `id` (string, required)
    Provable Markets assigned order identifier for the order modified


